Module | SOAP::Marshal
In: | soap/marshal.rb

### Methods

dump load marshal unmarshal

### Constants

MarshalMappingRegistry | = | Mapping::Registry.new( :allow_original_mapping => true) |  | Trying xsd:dateTime data to be recovered as aTime.

### Public Class methods

dump(obj, io = nil)

[Source]

    # File soap/marshal.rb, line 28
        def dump(obj, io = nil)
          marshal(obj, MarshalMappingRegistry, io)
        end

load(stream)

[Source]

    # File soap/marshal.rb, line 32
        def load(stream)
          unmarshal(stream, MarshalMappingRegistry)
        end

marshal(obj, mapping_registry = MarshalMappingRegistry, io = nil)

[Source]

    # File soap/marshal.rb, line 36
        def marshal(obj, mapping_registry = MarshalMappingRegistry, io = nil)
          elename = Mapping.name2elename(obj.class.to_s)
          soap_obj = Mapping.obj2soap(obj, mapping_registry)
          body = SOAPBody.new
          body.add(elename, soap_obj)
          env = SOAPEnvelope.new(nil, body)
          SOAP::Processor.marshal(env, {}, io)
        end

unmarshal(stream, mapping_registry = MarshalMappingRegistry)

[Source]

    # File soap/marshal.rb, line 45
        def unmarshal(stream, mapping_registry = MarshalMappingRegistry)
          env = SOAP::Processor.unmarshal(stream)
          if env.nil?
            raise ArgumentError.new("Illegal SOAP marshal format.")
          end
          Mapping.soap2obj(env.body.root_node, mapping_registry)
        end

[Validate]